<?php

namespace App\Http\Controllers\ProvinceDashboard\PeopleMessages;

use App\Http\Controllers\Controller;
use app\Http\Traits\ApiResponse;
use App\Models\PeopleMessage;
use App\Services\Dashboard\Province\PeopleMessages\DataTableService;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;

class SupervisorController extends Controller
{
    use ApiResponse;

    /**
     * Display a listing of the resource.
     */
    public function index(Request $request, DataTableService $dataTableService): JsonResponse
    {
        return response()->json($dataTableService->index($request));
    }

    public function excel()
    {

    }

    /**
     * Display the specified resource.
     */
    public function show(PeopleMessage $peopleMessage)
    {
        return $this->successResponse($peopleMessage);
    }
}
